tbb::affinity_partitioner Class Reference

An affinity partitioner. More...

`#include <partitioner.h>`

Inheritance diagram for tbb::affinity_partitioner:
Collaboration diagram for tbb::affinity_partitioner:

## Public Member Functions

| affinity_partitioner ()

## Private Types

typedef interface9::internal::old_auto_partition_type | partition_type
typedef interface9::internal::affinity_partition_type | task_partition_type
typedef interface9::internal::affinity_partition_type::split_type | split_type

## Friends

template<typename Range , typename Body , typename Partitioner >
class | serial::interface9::start_for
template<typename Range , typename Body , typename Partitioner >
class | interface9::internal::start_for
template<typename Range , typename Body , typename Partitioner >
class | interface9::internal::start_reduce
template<typename Range , typename Body , typename Partitioner >
class | internal::start_scan

## Detailed Description

An affinity partitioner.

Definition at line 651 of file partitioner.h.

## Member Typedef Documentation

## partition_type

typedef interface9::internal::old_auto_partition_type tbb::affinity_partitioner::partition_type

private

Definition at line 661 of file partitioner.h.

## split_type

typedef interface9::internal::affinity_partition_type::split_type tbb::affinity_partitioner::split_type

private

Definition at line 666 of file partitioner.h.

## task_partition_type

typedef interface9::internal::affinity_partition_type tbb::affinity_partitioner::task_partition_type

private

Definition at line 663 of file partitioner.h.

## Constructor & Destructor Documentation

## affinity_partitioner()

tbb::affinity_partitioner::affinity_partitioner | ( |  | ) |

inline

Definition at line 653 of file partitioner.h.

{}

## Friends And Related Function Documentation

## interface9::internal::start_for

template<typename Range , typename Body , typename Partitioner >

friend class interface9::internal::start_for

friend

Definition at line 657 of file partitioner.h.

## interface9::internal::start_reduce

template<typename Range , typename Body , typename Partitioner >

friend class interface9::internal::start_reduce

friend

Definition at line 658 of file partitioner.h.

## internal::start_scan

template<typename Range , typename Body , typename Partitioner >

friend class internal::start_scan

friend

Definition at line 659 of file partitioner.h.

## serial::interface9::start_for

template<typename Range , typename Body , typename Partitioner >

friend class serial::interface9::start_for

friend

Definition at line 656 of file partitioner.h.

The documentation for this class was generated from the following file:

- partitioner.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.